# Uses of Class
xg.Validator.OneofValidatorOptions

Packages that use Validator.OneofValidatorOptions
Package
Description
xg

## Uses of Validator.OneofValidatorOptions in xg

Fields in xg with type parameters of type Validator.OneofValidatorOptions
Modifier and Type
Field
Description
`static final GeneratedMessage.GeneratedExtension<DescriptorProtos.OneofOptions,Validator.OneofValidatorOptions>`
Validator.`oneofValidator`
`extend .google.protobuf.OneofOptions { ...`
`static final Parser<Validator.OneofValidatorOptions>`
Validator.OneofValidatorOptions.`PARSER`
Deprecated.
Methods in xg that return Validator.OneofValidatorOptions
Modifier and Type
Method
Description
`Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.Builder.`build()`
`Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.Builder.`buildPartial()`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`getDefaultInstance()`
`Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.Builder.`getDefaultInstanceForType()`
`Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`getDefaultInstanceForType()`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseDelimitedFrom(InputStream input)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseFrom(byte[] data)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseFrom(ByteString data)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseFrom(CodedInputStream input)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseFrom(InputStream input)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseFrom(ByteBuffer data)`
`static Validator.OneofValidatorOptions`
Validator.OneofValidatorOptions.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in xg that return types with arguments of type Validator.OneofValidatorOptions
Modifier and Type
Method
Description
`Parser<Validator.OneofValidatorOptions>`
Validator.OneofValidatorOptions.`getParserForType()`
`static Parser<Validator.OneofValidatorOptions>`
Validator.OneofValidatorOptions.`parser()`
Methods in xg with parameters of type Validator.OneofValidatorOptions
Modifier and Type
Method
Description
`Validator.OneofValidatorOptions.Builder`
Validator.OneofValidatorOptions.Builder.`mergeFrom(Validator.OneofValidatorOptions other)`
`static Validator.OneofValidatorOptions.Builder`
Validator.OneofValidatorOptions.`newBuilder(Validator.OneofValidatorOptions prototype)`